Bug 67466 - Cannot mount FreeBSD partitions with UFS module
Cannot mount FreeBSD partitions with UFS module
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-25 15:12 EDT by Jim Pirzyk
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Pirzyk 2002-06-25 15:12:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
The revised ufs module still does not mout FreeBSD partitons.
It still gets these error messages:
ufs_read_super: fragment size 2048 is too large
ufs_read_super: fragment size 2048 is too large



Version-Release number of selected component (if applicable):
2.4.18-5

How reproducible:
Always

Steps to Reproduce:
1. Have a freebsd partition with 16K/2k block/frag sizes
2. mount -r -t ufs -oufstype=bsd44 /dev/hda2 /FreeBSD
3. failure....
	

Actual Results:  ufs_read_super: fragment size 2048 is too large
ufs_read_super: fragment size 2048 is too large


Expected Results:  Mounting the FreeBSD partition

Additional info:

Here is a patch to fix the ufs module:

*** super.c.orig        Tue Jun 25 11:12:57 2002
--- super.c     Tue Jun 25 11:13:42 2002
***************
*** 662,673 ****
                        uspi->s_fsize);
                goto failed;
        }
!       if (uspi->s_bsize < 512) {
                printk(KERN_ERR "ufs_read_super: fragment size %u is too small\n",
                        uspi->s_fsize);
                goto failed;
        }
!       if (uspi->s_bsize > 4096) {
                printk(KERN_ERR "ufs_read_super: fragment size %u is too large\n",
                        uspi->s_fsize);
                goto failed;
--- 662,673 ----
                        uspi->s_fsize);
                goto failed;
        }
!       if (uspi->s_fsize < 512) {
                printk(KERN_ERR "ufs_read_super: fragment size %u is too small\n",
                        uspi->s_fsize);
                goto failed;
        }
!       if (uspi->s_fsize > 4096) {
                printk(KERN_ERR "ufs_read_super: fragment size %u is too large\n",
                        uspi->s_fsize);
                goto failed;
***************
*** 679,685 ****
        }
        if (uspi->s_bsize < 4096) {
                printk(KERN_ERR "ufs_read_super: block size %u is too small\n",
!                       uspi->s_fsize);
                goto failed;
        }
        if (uspi->s_bsize / uspi->s_fsize > 8) {
--- 679,685 ----
        }
        if (uspi->s_bsize < 4096) {
                printk(KERN_ERR "ufs_read_super: block size %u is too small\n",
!                       uspi->s_bsize);
                goto failed;
        }
        if (uspi->s_bsize / uspi->s_fsize > 8) {
Comment 1 Bugzilla owner 2004-09-30 11:39:42 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.